petsc-3.10.5 2019-03-28
Report Typos and Errors

# KSPLoad

Loads a KSP that has been stored in binary with KSPView().

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPLoad(KSP newdm, PetscViewer viewer)

Collective on PetscViewer

### Input Parameters

| newdm | - the newly loaded KSP, this needs to have been created with KSPCreate() or some related function before a call to KSPLoad().
| viewer | - binary file viewer, obtained from PetscViewerBinaryOpen()

### Notes

The type is determined by the data in the file, any type set into the KSP before this call is ignored.

### Notes for advanced users

Most users should not need to know the details of the binary storage format, since KSPLoad() and KSPView() completely hide these details. But for anyone who's interested, the standard binary matrix storage format is

         has not yet been determined

### See Also

PetscViewerBinaryOpen(), KSPView(), MatLoad(), VecLoad()

### Level

intermediate

### Location

src/ksp/ksp/interface/itcreate.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages